Информационная безопасность
[RU] switch to English

Дополнительная информация

  Cводка уязвимостей безопасности в Web-приложениях (PHP, ASP, JSP, CGI, Perl)

  [SECURITY] [DSA 2091-1] New squirrelmail packages fix cross-site request forgery

  XSRF (CSRF) in Mystic

  XSS vulnerability in Mystic

  XSS vulnerability in Mystic

From:High-Tech Bridge Security Research <advisory_(at)_htbridge.ch>
Date:14 августа 2010 г.
Subject:XSS vulnerability in i-Web Suite

Vulnerability ID: HTB22544
Reference: http://www.htbridge.ch/advisory/xss_vulnerability_in_i_web_suite.html
Product: i-Web Suite
Vendor: immediaC world wide Inc ( http://www.immediac.com/ )
Vulnerable Version: Current at 27.07.2010 and Probably Prior Versions
Vendor Notification: 27 July 2010
Vulnerability Type: XSS (Cross Site Scripting)
Status: Not Fixed, Vendor Alerted, Awaiting Vendor Response
Risk level: Medium
Credit: High-Tech Bridge SA - Ethical Hacking & Penetration Testing (http://www.htbridge.ch/)

Vulnerability Details:
User can execute arbitrary JavaScript code within the vulnerable application.

The vulnerability exists due to failure in the "default.asp" script to properly sanitize user-supplied input in "errmsg" variable. Successful exploitation of this vulnerability could result in a compromise of the application, theft of cookie-based authentication credentials, disclosure or modification of sensitive data.

An attacker can use browser to exploit this vulnerability. The following PoC is available:


О сайте | Условия использования
© SecurityVulns, 3APA3A, Владимир Дубровин
Нижний Новгород